﻿<AML>
 <Item type="Method" id="281A680B2F64482FB3136208020AB26B" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_transfer_unload
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
    Doing "Post To GL".
Hooks:
	Type:	Form	:	acc_cashbooktransfer
	Event:	Form Event ( onBeforeUnload)

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();
var _id = top.aras.getItemProperty(document.item,'id');
var acc_from_account=top.aras.getItemProperty(document.item,'acc_from_account');
var acc_to_account = top.aras.getItemProperty(document.item,'acc_to_account');
var acc_from_balance=top.aras.getItemProperty(document.item,'acc_from_balance');
var acc_to_balance=top.aras.getItemProperty(document.item,'acc_to_balance');
var acc_from_currency = top.aras.getItemProperty(document.item, 'acc_from_currency');
var acc_to_currency = top.aras.getItemProperty(document.item, 'acc_to_currency');
var acc_transfer_amount=top.aras.getItemProperty(document.item,'acc_transfer_amount');
var acc_transfer_date=top.aras.getItemProperty(document.item,'acc_transfer_date');

var is_valid = true;

var acc_transfer_item = myInnovator.newItem("ACC_CASHBOOKTRANSFER","get");
acc_transfer_item.setProperty("id",_id);
acc_transfer_item.setPropertyCondition("id","eq");
acc_transfer_item.setProperty("acc_isPost",0);
acc_transfer_item.setPropertyCondition("acc_isPost","eq");

var acc_transfer_result=acc_transfer_item.apply();
var acc_transfer_count = acc_transfer_result.getItemCount();

if(acc_transfer_count>0)
{

	var msg = confirm("Do you want to 'Post' ?");
	if(msg === true)
	{
		top.aras.applyMethod("acc_transfer_unload_call","<_id>" + _id + "</_id><is_valid>"+ is_valid +"</is_valid><acc_from_account>"+ acc_from_account +"</acc_from_account><acc_to_account>"+acc_to_account+"</acc_to_account><acc_from_balance>"+ acc_from_balance +"</acc_from_balance><acc_to_balance>"+ acc_to_balance +"</acc_to_balance><acc_transfer_amount>" + acc_transfer_amount + "</acc_transfer_amount><acc_transfer_date>" + acc_transfer_date +"</acc_transfer_date><acc_from_currency>" + acc_from_currency +"</acc_from_currency><acc_to_currency>" + acc_to_currency +"</acc_to_currency>");
		
	}
	else
	{
		// do nothing
	}
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_transfer_unload</name>
 </Item>
</AML>